geoDataListComb.forEach((c) => {
    const myArray = c.split(",");
    //console.log("c: "+myArray[0]+myArray[1]);
    if (!uniqueData.includes(myArray[0] + myArray[1])) {
        uniqueData.push(myArray[0] + myArray[1]);
        uniqueDataTooltip.push(c);
        listIdLDs.push(parseInt(myArray[3]));
        //console.log(c);
    }
    else {
        doubleData.push(myArray[0] + "," + myArray[1]);
        //console.log(doubleData);
        L.marker([myArray[0], myArray[1]],
            {
                icon: markerGroup

            }).addTo(map);
    }
});
dataMeasures.forEach((c) => {
    //console.log(c);
    if (!uniqueGMAFilter.includes(c.IdLD)) {
        uniqueGMAFilter.push(c.IdLD);
        uniqueGMA.push(c);

    }
    else {

    }
});

//console.log(uniqueGMA);

for (let index = 0; index < uniqueDataTooltip.length; index++) {
    let element = uniqueDataTooltip[index].split(",");
    let lat = element[0];
    let lng = element[1];
    let ID = element[2];
    let IdLD = element[3];

    const Tooltip = L.marker([lat, lng], { icon: invisibleMarker }).bindTooltip('<div>'
        + '<div id="value1-' + IdLD + '" style="font-weight:700;">---</div>'
        + '<div id="value2-' + IdLD + '" style="font-weight:700;">---</div>'
        + '<div id="value3-' + IdLD + '" style="font-weight:700;">---</div>'
        + '<div id="value4-' + IdLD + '" style="font-weight:700;">---</div>'
        + '</div>', { permanent: true, direction: "right", opacity: 0.8, offset: L.point({ x: 10, y: 0 }) }).openTooltip().addTo(GMA);

}
/////////////////////////////////////////////////////////////////////////

let uniqueDataApp = [];
let uniqueGMAApp = [];

console.log(geoDataListComb);
console.log(dataMeasures);
console.log(uniqueGMA);

geoDataListComb.forEach((c) => {
  const myArray = c.split(",");
  console.log("c: "+myArray[0]+myArray[1]);
  if (!uniqueDataApp.includes(myArray[0]+myArray[1]+myArray[2]+myArray[3])) {
    uniqueDataApp.push(myArray[0]+myArray[1]+myArray[2]+myArray[3]);
    //console.log(c);
  }
});

dataMeasures.forEach((c) => {
  const myArray = c.split(",");
  if (!uniqueGMAApp.includes(myArray[0]+myArray[1]+myArray[2]+myArray[3])) {
    uniqueGMAApp.push(myArray[0]+myArray[1]+myArray[2]+myArray[3]); 
  }
});

console.log("Datalist");
console.log(uniqueDataApp);
console.log("GMAlist");
console.log(uniqueGMAApp);

/////////////////////////////////////////////////////////////////////////////////

/*Polyline example
						[53.46130277, 7.91247367],
						[53.46010189, 7.92521953],
						[53.45266587, 7.91526317],
						[53.44338822, 8.02525520],
						[53.39612505, 8.10301780],
						[53.35034638, 8.119068145],
						[53.29661923, 8.14344406],
						[53.24229794, 8.17610263],
						[53.24241351, 8.17718625]
	
					];
	
					var polyline = L.polyline(latlngs, {color: 'green',weight: 5,lineCap: 'square'}).bindPopup('<b style="font-size:1.25rem;">Name</b><br /><b>Device</b><br /><b>Area</b> ( Area Name )<br /><b>Location Short</b> ( Test )').addTo(map);
					
					polyline.on('mouseover', function (e) {
							this.openPopup();
							this.setStyle({
								weight: 15
							});
						});
						polyline.on('mouseout', function (e) {
							this.closePopup();
							this.setStyle({
								weight: 5
							});
						});*/